<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Schema;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        //
        Schema::defaultStringLength(191);
        if ($this->app->bound('laravolt.menu')) {
            $menu = $this->app['laravolt.menu']->add('Dashboard','home')->data('icon', 'fa fa-calendar');
            $menu = $this->app['laravolt.menu']->add('Event Management')->data('icon', 'fa fa-calendar');
            
            $menu->add('Event Details', 'manage')
                 ->active('')
                 ->data('icon', 'fa fa-table');
            $menu->add('Guest Details', 'guest')
                 ->active('')
                 ->data('icon', 'fa fa-users');
            $menu->add('Attendance', 'attendancelist')
                 ->active('')
                 ->data('icon', 'fa fa-users');
        }
    }

    /**
     * Register any application services.
     *
     * @return void
     */
    
}
